> ## Documentation Index
> Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update a group

> Update a contact group.

## Endpoint

```txt theme={null}
PUT /api/v1/contacts/groups/{groupId}
```

## Parameters path

| Nom       | Type | Required | Description |
| --------- | ---- | -------- | ----------- |
| `groupId` | UUID | yes      | Group ID    |

## Body

| Field         | Type   | Required | Description          |
| ------------- | ------ | -------- | -------------------- |
| `name`        | string | no       | Nouveau nom          |
| `description` | string | no       | Nouvelle description |
| `color`       | string | no       | Nouvelle couleur     |

## Success response `200`

```json theme={null}
{
  "data": {
    "id": "grp_uuid",
    "name": "Clients VIP"
  }
}
```
